
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>VPC最佳实践（三）：如何选择公网类产品？ / iVAN</title>

    <meta name="description" content="VPC最佳实践（三）：如何选择公网类产品？ 目前阿里云虚拟网络为用户提供了以下几种不同形态的公网类产品:负载均衡 (SLB),弹性公网IP (EIP),NAT网关.这几种产品分别适用于不同的场景,用户可通过这几种产品实现VPC资源与公网的互通. 产品使用场景核心关键词       产品 场景关键词 计量计费特性   SLB DNAT + 负载均衡 七层转发/四层转发 健康检查/高可用 预付费:按带宽 后付费:按带宽/按流量 NAT网关 DNAT(IP映射/端口映射) SNAT(ECS访问互联网) 共享带宽 后付费:按带宽   EIP 最简">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">VPC最佳实践（三）：如何选择公网类产品？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>目前阿里云虚拟网络为用户提供了以下几种不同形态的公网类产品：负载均衡 (SLB)，弹性公网IP (EIP)，NAT网关。这几种产品分别适用于不同的场景，用户可通过这几种产品实现VPC资源与公网的互通。</p>
<h2>产品使用场景核心关键词</h2>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzU3NGRlODM2NDkyYWJhZTlkOTFkMTVhOTAxNDk5YWFiMGQ0YWM4ZTEucG5n.jpg"> </p>
<p> </p>
<p> </p>
<table>
<tbody>
<tr>
<td>
<br />产品</p>
</td>
<td>
<br />场景关键词</p>
</td>
<td>
<br />计量计费特性</p>
</td>
</tr>
<tr>
<td>
<br /> </p>
<p>SLB</p>
</td>
<td>
<br />DNAT<br />
  + <b>负载均衡</b></p>
<p><b>七层转发/</b><b>四层转发</b></p>
<p>健康检查/高可用</p>
</td>
<td>
<br />预付费：按带宽</p>
<p>后付费：按带宽/按流量</p>
</td>
</tr>
<tr>
<td>
<br />NAT网关</p>
</td>
<td>
<br />DNAT（IP映射/端口映射）</p>
<p><b>SNAT</b>（ECS访问互联网）</p>
<p><b>共享带宽</b></p>
</td>
<td>
<br />后付费：按带宽</p>
<p> </p>
</td>
</tr>
<tr>
<td>
<br />EIP</p>
</td>
<td>
<br />最<b>简单</b>的ECS连通公网的方式</p>
</td>
<td>
<br />预付费：按带宽</p>
<p>后付费：按带宽/按流量</p>
</td>
</tr>
</tbody>
</table>
<p>注：负载均衡的DNAT可支持一个“SLB IP+端口”映射到多个“ECS IP+端口”上，NAT网关的DNAT只支持一个“公网IP+端口”映射到一个“ECS IP+端口”上。</p>
<p> </p>
<ul>
<li>负载均衡SLB：支持入方向的端口映射（DNAT），用户可在后端添加服务器，并设置相应的调度策略，负载均衡将把公网流量分发到后端的服务器上，同时用户可根据业务的访问量对后端服务器进行动态增减，做到灵活的扩容和缩容。并且，SLB会提供健康检查服务，自动屏蔽异常状态的后端服务器，保证系统高可用。SLB适用于对可用性要求高的、需要多台ECS承载同一业务的应用场景。</li>
</ul>
<ul>
<li>弹性公网IP: 能够动态的绑定到VPC类型的ECS上，为每台ECS提供独立使用的公网IP地址和带宽。</li>
</ul>
<ul>
<li>NAT网关: 支持入方向的端口映射（DNAT）和出方向的SNAT功能，支持带宽包，能够明显得降低带宽成本。</li>
</ul>
<h2><a>典型场景与解决方案</a></h2>
<p>下面针对几种典型的场景，假设用户保有的都是VPC类型的ECS，来介绍我们应该选择的产品：</p>
<p> </p>
<h3><a><b>需要对外提供服务</b></a></h3>
<p> </p>
<h4>•         <br />
<b>单台ECS</b><b>对外提供服务</b></h4>
<p> </p>
<p>用户只存在单一应用，并且业务较小的时候，单台ECS即可满足用户的需求，应用程序、数据库、文件都部署在该ECS上面。为这台ECS绑定一个公网EIP即可对外提供服务。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2EwMjJhODJhMTU2ZjZhOTg3ODA3ZTQwMzQ5ZTk4ZDQ5ODcyMDM4MTkucG5n.jpg"></p>
<p> </p>
<h4>•         <br />
<b>对外提供带有负载均衡的四层服务</b></h4>
<p> </p>
<p>用户业务流量较大，需要对外提供服务，一台ECS已经不能支撑这么大的访问流量，需要多台ECS才能支持。用户只需要最简单的负载均衡功能，不需要更高级的七层转发等功能，此时，用户可选择公网负载均衡实例、创建四层（TCP/UDP）监听、后端挂载多台ECS来搭建整个业务架构。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzY5MWQwNjljYzEwZTAxMmJiMzY1ZmZhYmVjZTE1ZDU3NzNiMTE1MGYucG5n.jpg"></p>
<p> </p>
<h4>•         <br />
<b>对外提供带有负载均衡的七层服务</b></h4>
<p> </p>
<p>用户业务流量较大，需要对外提供服务，一台ECS已经不能支撑这么大的访问流量，需要多台ECS才能支持。用户需要用到“按域名或按URL转发”或者数据安全传输等七层功能，此时，用户可选择公网负载均衡实例、创建七层（HTTP/HTTPS）监听、后端挂载多台ECS来搭建整个业务架构。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzYwMDgyYzcwNmNhMTFkODJkMGU5YzdmMzY5YTNmOTVhZmMyYTczMjcucG5n.jpg"></p>
<p> </p>
<h3><a><b>无公网IP</b></a><b>的ECS</b><b>主动访问互联网</b></h3>
<p> </p>
<h4>•         <br />
<b>挂载EIP</b></h4>
<p>当用户的ECS较少的时候，可针对每台ECS分别绑定一个EIP，可通过各自的EIP实现公网的访问。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2EyOTJiY2EwOTBiMDM3MGZlNjBiZmZiMDBlN2M5ZDBmNGY4MTUzZDYucG5n.jpg"></p>
<h4>•         <br />
<b>使用NAT</b><b>网关</b></h4>
<p> </p>
<p>若用户需要访问公网的ECS数量特别多的时候，对每个ECS分别绑定EIP显得特别麻烦，此时建议使用NAT网关的SNAT功能。用户首先创建一个带有公网IP和公网带宽的NAT网关，在NAT网关上配置相应的SNAT规格，允许特定交换机下的所有ECS访问公网。在NAT网关上配置自定义路由，将某个虚拟交换机下的访问公网的数据转发至NAT网关。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzJjZTQ0Y2M2YTk4YWM0MjAzMzc2YzkwNDc0OGRlMTg4NTNmMDdkMzcucG5n.jpg"></p>
<p> </p>
<p> </p>
<h3><a><b>抓取类业务</b></a></h3>
<p> </p>
<h4>•         <br />
<b>场景概述</b><b></b></h4>
<p>用户需要根据既定的抓取目标，有选择的访问万维网上的网页与相关链接，获取所需要的信息按照一定的规则从网络中去定向抓取相关网页资源进行分析。爬虫业务需要保证公网IP的可用性，当IP被攻击时可以方便的更改该公网IP。</p>
<p> </p>
<h4>•         <br />
<b>核心诉求</b><b></b></h4>
<p>用户将保有多台VPC ECS，分别负责抓取不同的数据，并且这些ECS都有访问公网（SNAT）的需求，当这些IP被攻击时，需要随意更换出口IP。</p>
<p> </p>
<h4>•         <br />
<b>解决方案</b><b></b></h4>
<p>多台ECS通过VRouter接入NAT网关，可针对某个VSwitch下的网段配置统一的SNAT规则，多台ECS都可以通过一个公网IP去访问公网。当该公网IP被攻击时，用户可直接修改SNAT规则配置修改出口IP。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ViMmNkYjUyYmZlNWNmZGU0NjI4MzY5OTExYTdhOTQyNDNkZmYwMzQucG5n.jpg"></p>
<p> </p>
<h3><a><b>多个公网服务共享带宽</b></a></h3>
<p> </p>
<p>用户的业务发展快，并存在多个应用，可将不同的应用部署在不同的子网中独立的进行管理。若子网内的每个ECS都是相对独立的业务模块，可使用NAT网关的端口转发功能进行IP映射，并针对这些ECS共享带宽。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzdiMTNiOTQwY2M1NDc3ODNlMjY4NDRjMWI2ODliNTdmNjI4ZDY2ZWUucG5n.jpg"></p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-06 11:40:08</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/vpc/" title="VPC">VPC</a>, <a href="https://www.iamivan.net/tag/ecs/" title="ECS">ECS</a>, <a href="https://www.iamivan.net/tag/%e8%b4%9f%e8%bd%bd%e5%9d%87%e8%a1%a1/" title="负载均衡">负载均衡</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e9%ab%98%e5%8f%af%e7%94%a8/" title="高可用">高可用</a>, <a href="https://www.iamivan.net/tag/snat/" title="snat">snat</a>, <a href="https://www.iamivan.net/tag/dnat/" title="dnat">dnat</a>, <a href="https://www.iamivan.net/tag/%e7%9c%81%e9%92%b1/" title="省钱">省钱</a>, <a href="https://www.iamivan.net/tag/%e5%85%ac%e7%bd%91%e6%8e%a5%e5%85%a5/" title="公网接入">公网接入</a>, <a href="https://www.iamivan.net/tag/%e5%85%ac%e7%bd%91%e5%87%ba%e5%85%a5/" title="公网出入">公网出入</a>, <a href="https://www.iamivan.net/tag/vpc%e6%97%b6%e4%bb%a3/" title="VPC时代">VPC时代</a>, <a href="https://www.iamivan.net/tag/%e5%b8%a6%e5%ae%bd%e5%85%b1%e4%ba%ab/" title="带宽共享">带宽共享</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>VPC最佳实践（三）：如何选择公网类产品？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YNz7KzW.html" rel="bookmark">经典网络迁移VPC最佳实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要:阿里云起步于经典网络,但已经全面转向VPC.专有网络VPC以其在安全.成本和网络功能方面的优势,正受到越来越多用户的欢迎.在9月6日技术直播中,阿里云高级产品专家谭礼铨(李泉)为大家分享了经典网络迁移VPC最佳实践,本次分享介绍三种将ECS从经典网络迁移至VPC网络的途径,并阐述三种类型的迁移分别适合怎样的客户需求和场景. 直播回顾视频地址:https://yq.aliyun.com/webinar/play/287 9月21日,2017阿里云网络技术高峰论坛将独家线上直播,欢迎预约:ht			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b34NMA.html" rel="bookmark">VPC最佳实践（六）：业务如何从经典网络平滑迁移到VPC</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				专有网络VPC(Virtual Private Cloud)正受到越来越多用户的欢迎,已经成为云上用户的首选网络类型,也是阿里云默认推荐的网络类型.然而,云上还有很多存量用户在使用经典网络,这些用户如何从经典网络迁移到VPC呢?本文将介绍相关的迁移方案. 方案概述 阿里云将提供三种迁移方案.这三个方案可以独立使用,也可以组合使用,以满足不同的迁移场景. 混挂和混访方案 ClassicLink方案 单ECS迁移方案 混挂和混访方案 混挂和混访方案是一种系统平滑迁移方案,即用户通过在VPC中新建EC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXq6VAz.html" rel="bookmark">RDS最佳实践&lpar;一&rpar;&ndash;如何选择RDS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在去年双11之前,为了帮助商家准备天猫双11的大促,让用户更好的使用RDS,把RDS的性能发挥到最佳,保障双11当天面对爆发性增加的压力,不会由于RDS的瓶颈导致系统出现问题,编写了RDS的最佳实践.该文档的内容全部出自于生产实践,但由于篇幅的限制,我只是把其中的概要罗列到了ppt中,并没有展开详细的介绍,后续计划写一个系列,把ppt中的内容进一步展开来讲一讲,也算是对RDS用户的一个交代.   我该如何选择RDS?我要购买多大规格的RDS?RDS的连接数,iops指的是什么?上诉这些问题相信是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp81Zzg.html" rel="bookmark">VPC最佳实践（二）：VPC内如何使用云产品</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家知道,专有网络VPC(Virtual Private Cloud)是隔离的私有网络,默认情况下,VPC之间是无法通过私网通信的,VPC内的ECS也无法访问公网或者被公网访问,VPC更不能通过私网访问经典网络.那么就有一个问题,VPC内应该如何使用云产品呢?   云产品一般会提供如下几种网络访问能力   一是公网访问能力 如SLB提供了公网实例,VPC ECS可以通过绑定EIP提供公网访问能力,RDS 经典网络提供了外外访问域名等.   二是私网访问能力 私网访问相比公网访问更安全,更稳定,适			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7JQ8M.html" rel="bookmark">VPC最佳实践（四）：VPC中的访问控制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阿里云的专有网络目前没有网络的ACL,当前在专有网络中进行访问控制,依赖各个云产品的访问控制能力.在此为介绍云服务器 ECS .云数据库 RDS .负载均衡的访问控制功能.   ECS--安全组 安全组是一种虚拟防火墙,具备状态检测包过滤功能.安全组用于设置单台或多台云服务器的网络访问控制,它是重要的网络安全隔离手段,用于在云端划分安全域.   安全组是一个逻辑上的分组,这个分组是由同一个地域(Region)内具有相同安全保护需求并相互信任的实例组成.每个实例至少属于一个安全组,在创建的时候就需			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVeQpN.html" rel="bookmark">VPC最佳实践（一）：网络规划篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				专有网络VPC(Virtual Private Cloud)是阿里云推荐的网络类型,越来越多的用户选择使用VPC,可以说VPC是现在用户上云第一个考虑的产品.使用VPC主要有两方面的核心优势.一是安全,即用户需要更安全的网络隔离,VPC基于隧道技术,实现数据链路层的隔离,为每个租户提供一张独立.隔离的安全网络.二是VPC让用户有了网络管理能力,比如IP规划,路由管理等等.在VPC出现之前,云上用户是缺乏网络管理能力的.   关于VPC详细信息可以访问:VPC产品       用户在考虑使用VPC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo7kVVb.html" rel="bookmark">VPC最佳实践（五）：如何构建混合云？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				混合云是目前应用比较多的一种形态,它将用户线下IDC和云上VPC连接起来,既保护了用户线下IDC的现有投资,又充分利用了云的弹性,低成本等优势. 阿里云通过高速通道和VPN网关两个产品为用户提供了混合云构建方案.如下图所示 高速通道产品有两个核心功能,一是高速通道-专线,即将线下IDC和云上VPC连接起来,二是高速通道-VPC互联,将两个VPC连接起来.混合云主要使用高速通道-专线功能. VPN网关基于Internet,通过加密通道将企业数据中心,企业办公网络等和阿里云专有网络(VPC)安全可靠			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdRJVdb.html" rel="bookmark">RDS最佳实践&lpar;三&rpar;&mdash;如何制定相关的流程来规范RDS的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇文章中,我们介绍了如何快速的把本地自建的数据库迁移入云,那是不是把数据库迁移到RDS后,用户就什么都不需要做了?比如RDS帮你的数据库做到了高可用,在主库出现down机后能够快速切换到备库,立刻恢复应用:每天会定时的备份数据和日志,如果出现误操作能够帮你恢复到任意时间点:如果担心黑客攻击或者sql注入漏洞,RDS能够帮助你进行sql注入的拦截:当数据库使用中出现bug时,后端有专业的源码和DBA团队帮助用户实例打上patch,让用户无后顾之忧:当实例的性能出现瓶颈的时候,可以进行快速的弹性			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYRxnrp.html" rel="bookmark">Greenplum 最佳实践 - 什么时候选择bitmap索引</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , Greenplum , bitmap index 背景 PostgreSQL 目前支持8种索引接口,包括B-Tree, hash, gin, gist, sp-gist, brin, rum, bloom. Greenplum 目前支持B-Tree, GiST, bitmap三种索引接口. 用户可以根据不同的数据类型,不同的请求类型,使用不同的索引接口建立相应的索引.例如对于数组,全文检索类型,可以使用GIN索引,对于地理位置数据,范围数据类型,图像特征值数据,几			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd67Ab.html" rel="bookmark" class="title">文本框内容拆解获取里面的值进行校验</a>
					<div>
						问题描述 文本框内容拆解获取里面的值进行校验 从页面的文本框中获取对应的VO,但是VO的值是如:a,b,c有逗号相隔,问题是如何才能对拆解这个值获取里面的每个值进行校验 解决方案 用split函数,很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAn42p.html" rel="bookmark" class="title">PHP file</a>
					<div>
						我发现了一个问题,今天与大家分享.我把整个过程描述一下. 问题 公司有个框架是基于smarty写的,我负责php的升级,维护人员把新环境布上来之后,测试人员找我提出经常报错(错误:提示找不到文件的). ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzwk9vz.html" rel="bookmark" class="title">关于SEO和网络营销那些事儿</a>
					<div>
						数据分析,嗯,在站长网发表的&lt;站长开展SEO以来的感悟 SEO开始走向成熟&gt;使我有信心在此提笔写下个人关于数据分析这方面的一些感悟. 嗯,好吧,我不是纯粹的SEOer,亦不是一个纯粹的SE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4KXOp.html" rel="bookmark" class="title">WCF技术剖析之二十一：WCF基本异常处理模式&lbrack;中篇&rsqb;</a>
					<div>
						通过WCF基本的异常处理模式[上篇], 我们知道了:在默认的情况下,服务端在执行某个服务操作时抛出的异常(在这里指非FaultException异常),其相关的错误信息仅仅限于服务端可见,并不会被WC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnZXDz.html" rel="bookmark" class="title">Java语言中的参数传递</a>
					<div>
						在实际的开发过程中,方法调用是一种很常见的操作,在方法调用中,关于参数的处理可能很多进行实际开发的程序员都不一定理解的很清楚,下面系统的介绍一下Java语言中参数传递的规则,以及和参数传递相关的一些问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62dwWM.html" rel="bookmark" class="title">四个有害的Java编码习惯</a>
					<div>
						程序中的编码风格让我们的编程工作变得轻松,特别是程序维护员,他们要经常阅读其他人编写的程序编码,这一点尤其突出.编码规范从根本上解决了程序维护员的难题:规范的编码阅读和理解起来更容易,也可以快速的不费 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwleAdb.html" rel="bookmark" class="title">Excel轻松查看数据记录</a>
					<div>
						         当你查看Excel数据表中某行记录时,由于数据表中的字段较多,需要拖动水平滚动条才能将整个表格的内容看完,这样很容易&quot;看走眼&quot;,不小心就会将上面一行或下面一行的内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLK6Yb.html" rel="bookmark" class="title">如何在PowerPoint中设计多图拼图排版</a>
					<div>
						  ①打开PowerPoint2010,单击菜单栏--&quot;插入&quot;--&quot;形状&quot;,这里小编选择的是六边形,在幻灯片空白页面上画出. ②画出六边形,按住Ctrl键拖动, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3dxyp.html" rel="bookmark" class="title">组策略加Windows 7家长控制限制使用电脑</a>
					<div>
						  回到寝室就想上网打游戏,我得施行强制措施. 网游就不让玩 要想不玩网游,很简单.点击&quot;开始/运行&quot;,输入&quot;gpedit.msc&quot;并确定,打开&quot;组策 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJKqep.html" rel="bookmark" class="title">重装Win7系统后没有声音怎么办</a>
					<div>
						  1.设置声音相关属性,首先进入控制面板--声音选项,在播放选项卡的下面应该会有扬声器这样的设备,双击打开属性窗口,在级别选项卡中,要保持喇叭状的按钮为正常状态,如下图所示. 2.同样,如果是麦克风 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z7YPb.html" rel="bookmark" class="title">如何手动设置DNS和ip地址</a>
					<div>
						  我们在操作电脑的时候,经常会遇到要手动设置ip地址和DNS的情况,那么win7系统如何设置DNS和ip地址呢?下面小编就为大家详细的介绍一下吧!     首先,我们在win7系统的右下角找到网络连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWaanp.html" rel="bookmark" class="title">求窗口屏幕共享源码或者方向</a>
					<div>
						问题描述 求窗口屏幕共享源码或者方向 窗口屏幕共享,将本机的屏幕分享给其他PC或移动端.请问原理,或者 有没有源码! 解决方案 vnc 你值得拥有 开源的远程桌面软件					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lr5xb.html" rel="bookmark" class="title">flash as3&period;0的拖动物体代码</a>
					<div>
						问题描述 flash as3.0的拖动物体代码 flash as3.0如何实现鼠标长按左键拖动影片剪辑,位置发生变化,松开后影片剪辑位置静止.(就像在win桌面上拖动一个文件夹到另一个位置 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7X7ez.html" rel="bookmark" class="title">java-为什么这三段代码写出来的文件没有区别，求大神解答</a>
					<div>
						问题描述 为什么这三段代码写出来的文件没有区别,求大神解答 File f=new File(&quot;d:/text1.txt&quot;); FileOutputStream outfile=ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b327AAz.html" rel="bookmark" class="title">qq内置浏览器，滑动导致切换出浏览器</a>
					<div>
						问题描述 qq内置浏览器,滑动导致切换出浏览器 我有一个h5页面,在qq内置浏览器中打开之后,有一验证码功能,需要向左滑动图片 但是,这里就出现了一个问题,每次滑动图片,就会将内置浏览器切换到QQap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK6a5b.html" rel="bookmark" class="title">Android应用安全开发之浅谈网页打开APP</a>
					<div>
						一.网页打开APP简介 Android有一个特性,可以通过点击网页内的某个链接打开APP,或者在其他APP中通过点击某个链接打开另外一个APP(AppLink),一些用户量比较大的APP,已经通过发布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydDwlb.html" rel="bookmark" class="title">省综合信息网络建设（一期）项目全面启动</a>
					<div>
						省广电网络(600831,股吧)公司与国开行四川省分行在蓉举行30亿元贷款合同签约仪式 本报讯(记者 李旭 庞峰伟 张学文)随着30亿元银行贷款的注入,为期两年的四川省综合信息http://www.a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJANq7p.html" rel="bookmark" class="title">浅谈百度优化的三大重点&OpenCurlyDoubleQuote;内容、连接、体验度&rdquo;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 首先笔者在这里先来说说什么是&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJld5p.html" rel="bookmark" class="title">c语言-标C的时间函数还是有点不理解，有大神么&quest;</a>
					<div>
						问题描述 标C的时间函数还是有点不理解,有大神么? 小菜鸟今天刚学了标C的时间函数,好多结论都是网上看的,不知道哪里出问题了. [结论一]time_t =0 的时候 返回的时间其实是 1970-01- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyerxPM.html" rel="bookmark" class="title">奇瑞智能车执行总监黄勇：奇瑞如何进行人、车、路融合的智慧交通探索</a>
					<div>
						雷锋网(公众号:雷锋网)·新智驾按:智能驾驶话题的火爆不只是在新闻的刷屏中.10 月 24 日,2017 中国汽车工程学会年会暨展览会,上千人的开幕仪式后,下午的自动驾驶分会场,慕名而来的学界和产业界 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyjA4z.html" rel="bookmark" class="title">测试人员求职面试的时候如何谈薪酬待遇</a>
					<div>
						在社会大学里混了那么多年,我最惨痛的经历就是,在应聘一家企业的时候,总是羞于谈薪酬待遇.大概这是很多职场新人都会遇到过的尴尬吧--觉得自己经验不够,或者想应聘的企业比较好,就觉得对方提多少就是多少吧, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnREkZp.html" rel="bookmark" class="title">excel数据-求教用excel做个双色球的走势图</a>
					<div>
						问题描述 求教用excel做个双色球的走势图 如题,会的联系一下QQ316022459 这个不会上传附近请见谅					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Jdq0z.html" rel="bookmark" class="title">PostgreSQL SQL OUTLINE插件sr&lowbar;plan &lpar;保存、篡改、固定 执行计划&rpar;</a>
					<div>
						标签 PostgreSQL , sql plan outline , 执行计划篡改 , query rewrite , sr_plan , pg plan hint 背景 功能较为强大的数据库,通常都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPknX0M.html" rel="bookmark" class="title">《精通 ASP&period;NET MVC 5》----2&period;2 创建新的ASP&period;NET MVC项目</a>
					<div>
						2.2 创建新的ASP.NET MVC项目 本节打算从Visual Studio中创建新的MVC框架项目开始.在&quot;File(文件)&quot;菜单中选择&quot;New(新建)&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1B7rb.html" rel="bookmark" class="title">Linux系统中网络数据存储工具命令TcpDump的使用教程</a>
					<div>
						Linux中强大的网络数据采集分析工具--TcpDump tcpdump采用命令行方式,它的命令格式为: tcpdump [ -adeflnNOpqStvx ] [ -c 数量 ] [ -F 文件名  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKVe5z.html" rel="bookmark" class="title">12306订票系统再遇登录难 电话订票成功率更高</a>
					<div>
						晨报记者 宋杰 昨天15时开始,中秋.国庆&quot;双节&quot;火车票开始销售,旅客可通过网络.电话预订29日车票.当旅客想要网购抢票时,铁道部12306网站又&quot;掉链子&quot;,频 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdREVb.html" rel="bookmark" class="title">《渐进增强&mdash;&mdash;跨平台用户体验设计》一1&period;5　向后兼容，向前适应</a>
					<div>
						1.5 向后兼容,向前适应 中学时代,我经常用MS-DOS系统上的Word文字编辑软件写作业.这是个特别专业的软件,因为打开它就只能写字,别的什么都干不了[11].那时的Word软件没有太多的编辑选项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgP7W6p.html" rel="bookmark" class="title">关于透明度的设置</a>
					<div>
						问题描述 小弟有一个程序,是在一个Panel上将摄像机的图像显示出来.现在启动时是没有图像的,Panel的底色为黑色,同时在Panel上加载一个工具条,类似播放器的那种.现在本人使用的是UserCon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQW0oGp.html" rel="bookmark" class="title">草榴网站遭攻击，1024社区喊你起来改密码啦！</a>
					<div>
						       而社区用户登录后俊会收到&quot;高危漏洞提醒&quot;的提示,内容提到: 草榴社区在2015.11.4遭到攻击,导致会员信息泄露.目前漏洞已修复,但是为了会员账号安全,建议立即修改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPOKxZM.html" rel="bookmark" class="title">从多种平台中选择一个合适云平台的入门指南</a>
					<div>
						本文作者将介绍一些领先的云计算平台,并提供关于这些云计算平台可以处理的用例指导. 平台即服务 (PaaS) 通常被认为是三种主要的云计算服务交付模型之一,另外两种是基础架构即服务和软件即服务.它加速了 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
